List teamspace users
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"permissions": {
"role": "owner",
"agent_ids": [
"<string>"
]
}
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Teamspace Users
List teamspace users
Retrieve a list of users in the specified teamspace.
GET
/
organization
/
teamspaces
/
{teamspace_id}
/
users
List teamspace users
import requests
url = "https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/teamspaces/{teamspace_id}/users \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"permissions": {
"role": "owner",
"agent_ids": [
"<string>"
]
}
}
],
"has_more": true
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Query Parameters
Response
List of users in the teamspace
Response containing a list of users in a teamspace